• Es freut uns dass du in unser Minecraft Forum gefunden hast. Hier kannst du mit über 130.000 Minecraft Fans über Minecraft diskutieren, Fragen stellen und anderen helfen. In diesem Minecraft Forum kannst du auch nach Teammitgliedern, Administratoren, Moderatoren , Supporter oder Sponsoren suchen. Gerne kannst du im Offtopic Bereich unseres Minecraft Forums auch über nicht Minecraft spezifische Themen reden. Wir hoffen dir gefällt es in unserem Minecraft Forum!

Prolem mit Plugin,

Status
Für weitere Antworten geschlossen.

mdafcker

Kuhfänger
Gesperrt
Registriert
20 Oktober 2012
Beiträge
50
Diamanten
0
Minecraft
mdafcker
Hey Leute.. Ich habe ein Plugin gemacht und er ladet nicht Hier die LOG:


Code:
2012-10-24 10:54:05 [INFO] Starting minecraft server version 1.3.2
2012-10-24 10:54:05 [INFO] Loading properties
2012-10-24 10:54:05 [INFO] Default game type: SURVIVAL
2012-10-24 10:54:05 [INFO] Generating keypair
2012-10-24 10:54:05 [INFO] Starting Minecraft server on *:25565
2012-10-24 10:54:05 [WARNING] **** SERVER IS RUNNING IN OFFLINE/INSECURE MODE!
2012-10-24 10:54:05 [WARNING] The server will make no attempt to authenticate usernames. Beware.
2012-10-24 10:54:05 [WARNING] While this makes the game possible to play without internet access, it also opens up the ability for hackers to connect with any username they choose.
2012-10-24 10:54:05 [WARNING] To change this, set "online-mode" to "true" in the server.properties file.
2012-10-24 10:54:05 [INFO] This server is running CraftBukkit version git-Bukkit-1.3.2-R2.0-b2396jnks (MC: 1.3.2) (Implementing API version 1.3.2-R2.0)
2012-10-24 10:54:06 [WARNING] ----- Bukkit Auto Updater -----
2012-10-24 10:54:06 [WARNING] Your version of CraftBukkit is out of date. Version 1.3.2-R2.1 (build #2399) was released on Fri Oct 19 21:02:22 UTC 2012.
2012-10-24 10:54:06 [WARNING] Details: /downloads/craftbukkit/view/01466_1.3.2-R2.1/
2012-10-24 10:54:06 [WARNING] Download: /downloads/craftbukkit/get/01466_1.3.2-R2.1/craftbukkit-dev.jar
2012-10-24 10:54:06 [WARNING] ----- ------------------- -----
2012-10-24 10:54:06 [SEVERE] Could not load 'plugins/System.jar' in folder 'plugins'
org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/mdafcker/System/System : Unsupported major.minor version 51.0
	at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:154)
	at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:305)
	at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:230)
	at org.bukkit.craftbukkit.CraftServer.loadPlugins(CraftServer.java:227)
	at org.bukkit.craftbukkit.CraftServer.<init>(CraftServer.java:203)
	at net.minecraft.server.ServerConfigurationManagerAbstract.<init>(ServerConfigurationManagerAbstract.java:50)
	at net.minecraft.server.ServerConfigurationManager.<init>(SourceFile:11)
	at net.minecraft.server.DedicatedServer.init(DedicatedServer.java:105)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:378)
	at net.minecraft.server.ThreadServerApplication.run(SourceFile:539)
Caused by: java.lang.UnsupportedClassVersionError: me/mdafcker/System/System : Unsupported major.minor version 51.0
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
	at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
	at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
	at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:44)
	at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:29)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
	at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:334)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:264)
	at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:143)
	... 9 more

Was ist falch? ?
 

f14_tomcat

Minecrafter
Registriert
16 Oktober 2012
Beiträge
12
Diamanten
200
Minecraft
f14_tomcat
Ich nehme an, du arbeitest mit Eclipse. Stelle dort am besten den Compiler auf Java 6 um, denn die meisten Server bzw. ich würde mal behaupten 99% laufen noch auf Java 6. Das ist einfacher, als auf dem Server Java 7 zu installieren, zumal dies ja nicht bei jedem Server ohne weiteres möglich ist.
 
Status
Für weitere Antworten geschlossen.
Oben